org.eclipse.microprofile.rest.client.tck.sse

## Class WeatherEvent

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.sse.WeatherEvent

    public class WeatherEvent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WeatherEvent()`
`WeatherEvent(Date date, String description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Date` `getDate()`
`String` `getDescription()`
`int` `hashCode()`
`void` `setDate(Date date)`
`void` `setDescription(String description)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WeatherEvent

    public WeatherEvent()

#### WeatherEvent

    public WeatherEvent(Date date,
                        String description)

### Method Detail

#### getDate

    public Date getDate()

#### setDate

    public void setDate(Date date)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`